# Note that this is NOT a relocatable package
%define ver      1.0.6
%define rel 9
%define prefix   /usr

Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name: gtk+10
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gimp.org/pub/gtk/v1.0/gtk+-%{ver}.tar.gz
Patch0: gtk+-1.0.6-gcc296.patch
BuildRoot: /var/tmp/gtk-%{PACKAGE_VERSION}-root
Obsoletes: gtk
Excludearch: ia64

URL: http://www.gtk.org
Prereq: /sbin/install-info
Requires: glib10 = %{PACKAGE_VERSION}

%description
The X libraries originally written for the GIMP, which are now used by
several other programs as well.

This RPM is a set of compatibility libraries needed to run applications
linked against the 1.0 series of gtk+ and glib.

%package -n glib10
Summary: A library of handy utility functions.
Group: System Environment/Libraries

%description -n glib10
The glib package contains a useful library of utility functions, which
are necessary for the successful operation of many different programs on
your Red Hat Linux system.

%prep
%setup -q -n gtk+-%{PACKAGE_VERSION}
%patch0 -p1 -b .gcc296

%build
SHM=""
%ifarch alpha
SHM="--disable-shm"
%endif
# Needed for snapshot releases.


CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --with-xinput=xfree \
	$SHM $RPM_ARCH-redhat-linux

make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

gzip -9n $RPM_BUILD_ROOT%{prefix}/info/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n glib10 -p /sbin/ldconfig

%postun -n glib10 -p /sbin/ldconfig


%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/lib/libgtk.so.*
%{prefix}/lib/libgdk.so.*

%files -n glib10
%defattr(-, root, root)
%{prefix}/lib/libglib.so.*

%changelog
* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- Remove DocDir

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release
- no need to ship this on ia64, as we didn't ever ship gtk+-10 there.
- patched to build with gcc 2.96 va_arg (patch0)

* Wed Apr 07 1999 Michael Fulbright <drmike@redhat.com>
- don't remove docs contents, we dont care about devel package anymore

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- unlibtoolize

* Fri Jan 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for armv4l

* Mon Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Converted to a compatibility library for use with gtk+-1.1

* Mon Sep 22 1998 Owen Taylor <otaylor@redhat.com>
- Remove .info files, because the 1.0.6 tarball is messed
  up. (Will require texinfo to rebuild, temporarily.)

* Mon Sep 21 1998 Owen Taylor <otaylor@redhat.com>
- configure with --with-xinput=xfree 

* Sun Sep 20 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.6

* Fri Sep 11 1998 Owen Taylor <otaylor@redhat.com>
- Install glib.info

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- sync PACKAGE_VERSION between main package and the devel one

* Sun Jul 26 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.5

* Mon Jun  1 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.4

* Sat May 23 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.3

* Wed May 13 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 1.0.2

* Sun May  3 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.1

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

* Tue Apr  8 1998 Shawn T. Amundson <amundson@gtk.org>
- Changed version to 1.0.0

* Tue Apr  7 1998 Owen Taylor <otaylor@gtk.org>
- Changed version to 0.99.10

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.9
- Changed gtk home page to www.gtk.org

* Thu Mar 19 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.8

* Sun Mar 15 1998 Marc Ewing <marc@redhat.com>
- Added aclocal and bin stuff to file list.
- Added -k to the SMP make line.
- Added lib/glib to file list.

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Changed version to 0.99.7

* Fri Mar 14 1998 Shawn T. Amundson <amundson@gimp.org>
- Updated ftp url and changed version to 0.99.6

* Thu Mar 12 1998 Marc Ewing <marc@redhat.com>
- Reworked to integrate into gtk+ source tree
- Truncated ChangeLog.  Previous Authors:
  Trond Eivind Glomsrod <teg@pvv.ntnu.no>
  Michael K. Johnson <johnsonm@redhat.com>
  Otto Hammersmith <otto@redhat.com>
 
